<div class="panel panel-default">
    <div class="panel-heading ">{{ 'profile.profile' | translate }}</div>
    <div class="panel-body profile">
        <div class="row">
            <div class="col-sm-7">
                <form action="" [formGroup]="infoMainForm" (ngSubmit)="onSubmit()">
                    <h4 class="profile-header">{{ 'profile.profile-header' | translate }}</h4>
                    <div class="alert alert-success" *ngIf="profile_update">
                        {{ 'profile.profile-update-success' | translate }}
                    </div>
                    <div class="alert alert-danger" *ngIf="profile_error">
                        {{ 'profile.profile-update-error' | translate }}
                    </div>

                    <div class="row">
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label for="name">{{ 'profile.name' | translate }}:</label>
                                <input type="name" class="form-control" id="name" name="name" formControlName="name" [value]="profile.name">
                                <div *ngIf="submitted && f.name.errors" class="invalid-feedback" required>
                                    <div *ngIf="f.name.errors.pattern">{{ 'register.letters-only' | translate }}</div>
                                    <div *ngIf="f.name.errors.required">{{ 'header.required' | translate }}</div>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label for="surname">{{ 'profile.surname' | translate }}:</label>
                                <input type="text" class="form-control" id="surname" name="surname" formControlName="surname" [ngClass]="{ 'is-invalid' : submitted && f.surname.errors }" [value]="profile.surname">
                                <div *ngIf="submitted && f.surname.errors" class="invalid-feedback" required>
                                    <div *ngIf="f.surname.errors.pattern">{{ 'register.letters-only' | translate }}</div>
                                    <div *ngIf="f.surname.errors.required">{{ 'header.required' | translate }}</div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label for="email">{{ 'profile.email' | translate }}:</label>
                                <input type="email" class="form-control" id="email" name="email" formControlName="email" [ngClass]="{ 'is-invalid' : submitted && f.email.errors }" [value]="profile.email">
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label for="gender">{{ 'profile.gender' | translate }}</label><br>
                                <label class="radio-inline"><input type="radio" formControlName="gender" value="male"
                    [checked]="profile.gender == 'male'">{{ 'profile.male' | translate }}</label>
                                <label class="radio-inline"><input type="radio" formControlName="gender" value="female"
                    [checked]="profile.gender == 'female'">{{ 'profile.female' | translate }}</label>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label for="zone">{{ 'register.select-zone' | translate }}:</label>
                                <select class="form-control" formControlName="zone" [(ngModel)]='zone_id'>
                                  <option [ngValue]="zone.id" *ngFor="let zone of zones">{{zone.name}}</option>
                                </select>
                                <div *ngIf="submitted && f.zone.errors" class="invalid-feedback" required>
                                    <div *ngIf="f.zone.errors.pattern">{{ 'register.letters-only' | translate }}</div>
                                    <div *ngIf="f.zone.errors.required">{{ 'header.required' | translate }}</div>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label for="town">{{ 'profile.town' | translate }}:</label>
                                <input type="text" class="form-control" id="town" name="town" formControlName="town" [ngClass]="{ 'is-invalid' : submitted && f.town.errors }" [value]="profile.town">
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-sm-6">
                            <button type="submit" class="btn btn-primary">{{ 'profile.update-profile' | translate }}</button>
                        </div>
                    </div>
                </form>
            </div>
            <div class="col-sm-5">
                <form [formGroup]="passwordForm" (ngSubmit)="onPasswordSubmit()">
                    <h4 class="profile-header">{{ 'profile.password-header' | translate }}</h4>
                    <div class="alert alert-success" *ngIf="password_update">
                        {{ 'profile.password-update-success' | translate }}
                    </div>
                    <div class="alert alert-danger" *ngIf="password_error">
                        {{ 'profile.password-update-error' | translate }}
                    </div>
                    <div class="form-group">
                        <label for="password">{{ 'register.password' | translate }}:</label>
                        <input type="password" class="form-control" formControlName="password" [ngClass]="{ 'is-invalid' : passsubmitted && passf.password.errors }">
                        <div *ngIf="passsubmitted && passf.password.errors" class="invalid-feedback" required>
                            <div *ngIf="passf.password.errors.pattern">{{ 'header.numbers-only' | translate }}</div>
                            <div *ngIf="passf.password.errors.required">{{ 'header.required' | translate }}</div>
                            <div *ngIf="passf.password.errors.minlength">{{ 'header.password-error-less' | translate }}</div>
                            <div *ngIf="passf.password.errors.maxlength">{{ 'header.password-error-more' | translate }}</div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="confirmPassword">{{ 'register.password-confirm' | translate }}:</label>
                        <input type="password" class="form-control" formControlName="confirmPassword" [ngClass]="{ 'is-invalid' : passsubmitted && passf.confirmPassword.errors }">
                        <div *ngIf="passsubmitted && passf.confirmPassword.errors" class="invalid-feedback" required>
                            <div *ngIf="passf.confirmPassword.errors.required">{{ 'header.required' | translate }}</div>
                            <div *ngIf="passf.confirmPassword.errors.pattern">{{ 'header.numbers-only' | translate }}</div>
                            <div *ngIf="passf.confirmPassword.errors.minlength">{{ 'header.password-error-less' | translate }}</div>
                            <div *ngIf="passf.confirmPassword.errors.maxlength">{{ 'header.password-error-more' | translate }}</div>
                            <div *ngIf="passf.confirmPassword.errors.mustMatch">{{ 'register.password-confirm-error' | translate }}</div>
                        </div>
                    </div>

                    <button type="submit" class="btn btn-primary">{{ 'profile.password-change' | translate }}</button>
                </form>
            </div>
        </div>
    </div>
</div>